# ChangeLog for sci-biology/bioperl
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-biology/bioperl/ChangeLog,v 1.52 2012/10/28 14:58:15 jlec Exp $

  28 Oct 2012; Justin Lecher <jlec@gentoo.org> -bioperl-1.5.1-r1.ebuild,
  -bioperl-1.6.1.ebuild:
  Drop versions with unsolvable dep sets

  12 Apr 2012; Torsten Veller <tove@gentoo.org> metadata.xml:
  Fix cpan distribution in metadata.xml

  24 Mar 2012; Raúl Porcel <armin76@gentoo.org> bioperl-1.5.1-r1.ebuild:
  Drop alpha/ia64/sparc keywords

  20 Sep 2011; Michał Górny <mgorny@gentoo.org> bioperl-9999-r1.ebuild:
  Migrate to git-2.

*bioperl-1.6.9 (18 Jul 2011)

  18 Jul 2011; Andrey Kislyuk <weaver@gentoo.org> -bioperl-1.4.ebuild,
  +bioperl-1.6.9.ebuild:
  Version bump, drop old

*bioperl-9999-r1 (17 Oct 2010)

  17 Oct 2010; Andrey Kislyuk <weaver@gentoo.org> -bioperl-9999.ebuild,
  +bioperl-9999-r1.ebuild:
  Update live ebuild for upstream svm->github migration, bug 338362. Thanks
  to Joel Berendzen

  02 Oct 2009; Andrey Kislyuk <weaver@gentoo.org> bioperl-1.6.1.ebuild:
  Fix typo

  01 Oct 2009; Andrey Kislyuk <weaver@gentoo.org> bioperl-1.6.1.ebuild:
  Fix typo

*bioperl-1.6.1 (01 Oct 2009)

  01 Oct 2009; Andrey Kislyuk <weaver@gentoo.org> +bioperl-1.6.1.ebuild:
  Version bump

  11 Jun 2009; Markus Meier <maekke@gentoo.org> bioperl-1.6.0-r2.ebuild:
  amd64 stable, bug #270585

  02 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
  bioperl-1.6.0-r2.ebuild:
  stable x86, bug 270585

  24 May 2009; Andrey Kislyuk <weaver@gentoo.org> bioperl-1.6.0-r2.ebuild,
  bioperl-9999.ebuild:
  Moved Bio-ASN1-EntrezGene to PDEPEND per bug 269583

  13 May 2009; Andrey Kislyuk <weaver@gentoo.org> bioperl-9999.ebuild:
  Override depend on perl 5.10

  13 May 2009; Andrey Kislyuk <weaver@gentoo.org> bioperl-1.6.0-r2.ebuild,
  bioperl-9999.ebuild:
  Remove module-build from RDEPEND (bug 246942)

*bioperl-1.6.0-r2 (08 Apr 2009)

  08 Apr 2009; Andrey Kislyuk <weaver@gentoo.org> -bioperl-1.6.0-r1.ebuild,
  +bioperl-1.6.0-r2.ebuild, bioperl-9999.ebuild:
  Revision bump - add missing dependencies

  24 Mar 2009; Olivier Fisette <ribosome@gentoo.org> metadata.xml:
  Giving up maintainership of this package.

*bioperl-9999 (16 Mar 2009)
*bioperl-1.6.0-r1 (16 Mar 2009)

  16 Mar 2009; Andrey Kislyuk <weaver@gentoo.org> -bioperl-1.6.0.ebuild,
  +bioperl-1.6.0-r1.ebuild, +bioperl-9999.ebuild:
  Rewrite, commit split 1.6.0 packages and live ebuilds for packages in 1.6.0
  release. Bug 179110.

*bioperl-1.6.0 (12 Mar 2009)

  12 Mar 2009; Andrey Kislyuk <weaver@gentoo.org> +bioperl-1.6.0.ebuild:
  Testing release for revision bump

  15 Jul 2008; Raúl Porcel <armin76@gentoo.org> bioperl-1.5.1-r1.ebuild:
  x86 stable wrt #222727

  06 Jul 2008; Olivier Fisette <ribosome@gentoo.org>
  bioperl-1.5.1-r1.ebuild:
  Stable on amd64.

  06 Jul 2008; Olivier Fisette <ribosome@gentoo.org>
  bioperl-1.5.1-r1.ebuild:
  Fixed test suite.

  06 Jul 2008; Olivier Fisette <ribosome@gentoo.org>
  bioperl-1.5.1-r1.ebuild:
  Fixed dependency on io_lib.

  02 Jan 2008; Raúl Porcel <armin76@gentoo.org> bioperl-1.5.1-r1.ebuild:
  Re-add ~alpha/~ia64

  10 Dec 2006; Olivier Fisette <ribosome@gentoo.org>
  bioperl-1.5.1-r1.ebuild:
  Fixed Perl dependencies (see bug #157672).

  22 Oct 2006; Olivier Fisette <ribosome@gentoo.org> bioperl-1.4.ebuild,
  -bioperl-1.5.1.ebuild, bioperl-1.5.1-r1.ebuild:
  Fixed description. Removed old ebuild.

  30 Sep 2006; Jason Wever <weeve@gentoo.org> bioperl-1.5.1.ebuild,
  bioperl-1.5.1-r1.ebuild:
  Added ~sparc keyword wrt bug #149577.

  30 Sep 2006; Olivier Fisette <ribosome@gentoo.org>
  bioperl-1.5.1-r1.ebuild:
  Fixing dependency on io_lib (thanks to Weeve for pointing this out).

*bioperl-1.5.1-r1 (30 Sep 2006)

  30 Sep 2006; Olivier Fisette <ribosome@gentoo.org>
  +bioperl-1.5.1-r1.ebuild:
  Added dependency on io_lib for the Staden extensions. Dropping ~alpha, ~ia64
  and ~sparc keywords (see bug #149577).

*bioperl-1.5.1 (13 Sep 2006)

  13 Sep 2006; Olivier Fisette <ribosome@gentoo.org> +bioperl-1.5.1.ebuild:
  New upstream version. Thanks to Greg Wilson <gdw1@cornell.edu>, Martin
  Mokrejs <mmokrejs@ribosome.natur.cuni.cz> and Neil Shephard
  <nshephard@gmail.com> for their work (see bug #79459).

  18 Aug 2006; Michael Cummings <mcummings@gentoo.org> bioperl-1.4.ebuild:
  Marking amd64 stable

  30 Mar 2006; Aron Griffis <agriffis@gentoo.org> bioperl-1.4.ebuild:
  Mark 1.4 ~ia64

  13 Feb 2006; Michael Cummings <mcummings@gentoo.org> bioperl-1.4.ebuild:
  Virtuals for perl-core

  28 Nov 2005; <mcumming@gentoo.org> bioperl-1.0.2.ebuild,
  bioperl-1.2.2.ebuild, bioperl-1.2.3.ebuild, bioperl-1.2.ebuild,
  bioperl-1.4.ebuild:
  Switched from perl-module to perl-app eclass

  19 Sep 2005; Olivier Fisette <ribosome@gentoo.org> metadata.xml:
  Maintainer changed from Stephen Diener (MIA) to Olivier Fisette.

  05 Aug 2005; Herbie Hopkins <herbs@gentoo.org> bioperl-1.4.ebuild:
  Marked ~amd64 wrt bug #101339.

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.4.ebuild:
  dev-perl/Storable => perl-core/Storable migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.2.ebuild:
  dev-perl/Storable => perl-core/Storable migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.2.3.ebuild:
  dev-perl/Storable => perl-core/Storable migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.2.2.ebuild:
  dev-perl/Storable => perl-core/Storable migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.0.2.ebuild:
  dev-perl/Storable => perl-core/Storable migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.4.ebuild:
  dev-perl/File-Temp => perl-core/File-Temp migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.2.ebuild:
  dev-perl/File-Temp => perl-core/File-Temp migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.2.3.ebuild:
  dev-perl/File-Temp => perl-core/File-Temp migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.2.2.ebuild:
  dev-perl/File-Temp => perl-core/File-Temp migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> bioperl-1.0.2.ebuild:
  dev-perl/File-Temp => perl-core/File-Temp migration

  30 Mar 2005; Gustavo Zacarias <gustavoz@gentoo.org> bioperl-1.4.ebuild:
  Keyworded ~sparc

  09 Jan 2005; Olivier Fisette <ribosome@gentoo.org> bioperl-1.4.ebuild:
  Added regression test support. Fixes bug #38169.

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*bioperl-1.2 (23 Dec 2004)

  23 Dec 2004; Olivier Fisette <ribosome@gentoo.org> +metadata.xml,
  +files/biodbgff-enable-1.2.2.patch, +files/biodbgff-enable-1.2.3.patch,
  +files/bioperl-1.2-manpage.diff, +files/domanpages-1.2.2.patch,
  +bioperl-1.0.2.ebuild, +bioperl-1.2.2.ebuild, +bioperl-1.2.3.ebuild,
  +bioperl-1.2.ebuild, +bioperl-1.4.ebuild:
  Moved from app-sci/bioperl to sci-biology/bioperl.

  30 Oct 2004; Olivier Fisette <ribosome@gentoo.org> bioperl-1.4.ebuild,
  bioperl-1.0.2.ebuild:
  Q.A.: Fixed RDEPEND=$DEPEND, fixed LICENSE.

  03 Aug 2004; David Holm <dholm@gentoo.org> bioperl-1.4.ebuild:
  Added to ~ppc.

  03 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> bioperl-1.4.ebuild:
  Stable on alpha.

  02 Jun 2004; Aron Griffis <agriffis@gentoo.org> bioperl-1.2.2.ebuild,
  bioperl-1.2.3.ebuild:
  Fix use invocation

  05 May 2004; Stephen Diener <sediener@gentoo.org> bioperl-1.4.ebuild:
  bumped 1.4 to stable

  05 May 2004; Bryan Østergaard <kloeri@gentoo.org> bioperl-1.2.ebuild:
  Stable on alpha.

  20 Apr 2004; Bryan Østergaard <kloeri@gentoo.org> bioperl-1.4.ebuild:
  Added ~alpha to keywords.

  14 Jan 2004; Stephen Diener <sediener@gentoo.org> bioperl-1.4.ebuild:
  removed src_test; fixes bug #38169, or at least works around it

*bioperl-1.4 (08 Jan 2004)

  08 Jan 2004; Stephen Diener <sediener@gentoo.org> bioperl-1.4.ebuild:
  version bump

  24 Nov 2003; Stephen Diener <sediener@gentoo.org> bioperl-1.2.3.ebuild:
  bump to stable.

*bioperl-1.2.3 (24 Oct 2003)

  24 Oct 2003; <sediener@gentoo.org> bioperl-1.2.3.ebuild:
  new release added.

*bioperl-1.2.2 (28 Aug 2003)

  28 Aug 2003; Stephen Diener <sediener@gentoo.org> bioperl-1.2.2.ebuild:
  Bumped to stable x86

*bioperl-1.2.2 (02 Aug 2003)

  02 Aug 2003; Stephen Diener <sediener@gentoo.org> bioperl-1.2.2.ebuild,
  files/biodbgff-enable-1.2.2.patch, files/domanpages-1.2.2.patch:
  New Version thanks to Gontran Zepeda <gontran@gontran.net> in bug# 24467 :
  Also fixes bug# 25079

*bioperl-1.2 (24 Apr 2003)

  24 Apr 2003; Jon Portnoy <avenj@gentoo.org> bioperl-1.2.ebuild :
  Version bump, ebuild submitted by Gontran Zepeda <gontran@gontran.net>
  in bug #13826

*bioperl-1.0.2 (21 Dec 2002)

  21 Dec 2002; Michael Cummings <mcummings@gentoo.org>
  bioperl-1.0.2.ebuild:

  Initial import.  Ebuild submitted by Gontran Zepeda <gontran@gontran.net>
  Bug 11498
